//
//	relaCorrMultCCDs: Test the relative correction algorithms for a Time Serie
// 	                  with a selection region containing more than one CCD
//  AI, Wed Feb  6 14:56:05 GMT 2008
//
//

#include <cassert>
#include <iostream>
#include <iomanip>
/* AI gcc4 porting
 * error: ‘strcmp’ was not declared in this scope
 * error: ‘exit’ was not declared in this scope
 */
#include <cstring>
#include <cstdlib>

#include "LightCurve.h"


using namespace std;

int main(int argc, char* argv[])
{

	if ((argc != 3 ) || !strcmp(argv[1],"-h") || !strcmp(argv[1],"-H"))
	    {
	      std::cout << "Usage: " << argv[0] << " rates.ds eventFile.fits" << std::endl;
	      exit(0);
	    }

	LightCurve lc((string) argv[1], (string) argv[2]);

	lc.doRelativeCorr();
	lc.getLC()->calRateAndErr();
	// Show the results
	//lc.getLC()->printLC();

	lc.createFile("test.lc");



	 return 0;
}

